Skip to main content
GET
List received SMS messages

Authorizations

Authorization
string
header
required

A Guava API key, sent as Authorization: Bearer <key>.

Query Parameters

to_number
string
required

Your organization's number to list received messages for, in E.164 format.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14155550100"

received_after
string<date-time> | null

Only return messages received strictly after this time, as an ISO 8601 timestamp. Timestamps without an offset are treated as UTC. Defaults to returning all messages.

Example:

"2026-10-19T17:00:00Z"

from_number
string | null

Only return messages from this sender, in E.164 format.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14155550123"

limit
integer
default:50

Maximum number of messages per page.

Required range: 1 <= x <= 100

Response

Successful Response

results
SMSMessage · object[]
required

Results on this page.

next_url
string | null

URL of the next page of results, or null if this is the last page. Send a GET request to it as-is.